com.aliyun.svideosdk.common

## Enum AliyunIThumbnailFetcher.CropMode

- java.lang.Object
- - java.lang.Enum<AliyunIThumbnailFetcher.CropMode>
  - - com.aliyun.svideosdk.common.AliyunIThumbnailFetcher.CropMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AliyunIThumbnailFetcher.CropMode>
  Enclosing interface:
    AliyunIThumbnailFetcher

      public static enum AliyunIThumbnailFetcher.CropMode
      extends java.lang.Enum<AliyunIThumbnailFetcher.CropMode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOTTOM` Bottom
    `LEFT` Left
    `Mediate` Centered
    `RIGHT` Right
    `TOP` Top

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AliyunIThumbnailFetcher.CropMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AliyunIThumbnailFetcher.CropMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Mediate

          public static final AliyunIThumbnailFetcher.CropMode Mediate

      Centered

    - #### TOP

          public static final AliyunIThumbnailFetcher.CropMode TOP

      Top

    - #### LEFT

          public static final AliyunIThumbnailFetcher.CropMode LEFT

      Left

    - #### RIGHT

          public static final AliyunIThumbnailFetcher.CropMode RIGHT

      Right

    - #### BOTTOM

          public static final AliyunIThumbnailFetcher.CropMode BOTTOM

      Bottom

  - ### Method Detail

    - #### values

          public static AliyunIThumbnailFetcher.CropMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AliyunIThumbnailFetcher.CropMode c : AliyunIThumbnailFetcher.CropMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AliyunIThumbnailFetcher.CropMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null